### Method

# GLib IConv close

#### Declaration

    gint
    g_iconv_close (
      GIConv converter
    )

#### Description

Same as the standard UNIX routine iconv_close(), but may be implemented via libiconv on UNIX flavors that lack a native implementation. Should be called to clean up the conversion descriptor from `g_iconv_open()` when you are done converting things.

GLib provides `g_convert()` and `g_locale_to_utf8()` which are likely more convenient than the raw iconv wrappers.

This method is not directly available to language bindings.

#### Return value

Type: `gint`

-1 on error, 0 on success.